class WhatsappAlertModel {
  final int id;
  final String poseidonOwnerEmail;
  final String issuerAppId;
  final String tid;
  final String serial;
  final String fname;
  final String lname;
  final String phone;

  WhatsappAlertModel(
      {required this.id,
      required this.poseidonOwnerEmail,
      required this.issuerAppId,
      required this.tid,
      required this.phone,
      required this.serial,
      required this.fname,
      required this.lname});

  factory WhatsappAlertModel.fromJson(Map<String, dynamic> map) {
    return WhatsappAlertModel(
        id: map['id'],
        poseidonOwnerEmail: map['poseidon_owner_email'],
        issuerAppId: map['issuing_app_id'],
        tid: map['tid'],
        serial: map['serial'],
        phone: map['phone'],
        fname: map['fname'],
        lname: map['lname']);
  }
}
