import 'package:flutter/material.dart';
import 'package:mobile_pos/src/helpers/global_variables.dart';
import 'package:mobile_pos/src/helpers/helper_functions.dart';

class SuccessCardIcon extends StatelessWidget {
  const SuccessCardIcon({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 32,
      width: 32,
      padding: const EdgeInsets.all(2),
      decoration: BoxDecoration(
          shape: BoxShape.circle,
          color: pluginTheme.primaryColor.withOpacity(0.1)),
      child: Container(
          height: 32,
          width: 32,
          padding: const EdgeInsets.all(5),
          decoration: BoxDecoration(
              shape: BoxShape.circle, color: pluginTheme.primaryColor),
          child: Image.asset(loadAsset("credit_card_icon.png"))),
    );
  }
}
